﻿var vestek = {};

vestek.menuContent = [{ "title" : "Link 1", "url" : "#"} ,{ "title" : "Link 2", "url" : "#"},{ "title" : "Link 3", "url" : "#"},{ "title" : "Link 4", "url" : "#"}];

vestek.menuIndex = 0;

vestek.boot = function () {
    for(index in vestek.menuContent){
        vestek.menuContent[index].element = document.createElement("div");
        vestek.menuContent[index].element.innerHTML = vestek.menuContent[index]['title'];  
        document.getElementById("menu").appendChild(vestek.menuContent[index].element);
    }
    vestek.menuContent[this.menuIndex].element.className =  "selected";

    document.onkeydown = function (evt) {
        vestek.keyHandler(evt.keyCode); 
    };
};

vestek.keyHandler = function (code) {
    switch (code){
        case this.keyEnum.OK:
            document.location.href = vestek.menuContent[this.menuIndex]['url'];
        break;
        case this.keyEnum.UP:
            if(this.menuIndex != 0){
                vestek.menuContent[this.menuIndex].element.className =  "";
                this.menuIndex--;
                vestek.menuContent[this.menuIndex].element.className =  "selected";
            }
        break;
        case this.keyEnum.DOWN: 
            if(this.menuIndex != this.menuContent.length - 1){
                vestek.menuContent[this.menuIndex].element.className =  "";
                this.menuIndex++;
                vestek.menuContent[this.menuIndex].element.className =  "selected";
            }
        break;
		case this.keyEnum.BACK :
				document.location.href = "../";
			break;	
        default:
            
        break;
	}
};

vestek.keyEnum = {
    OK : 13,
    UP : 38,
    DOWN : 40,
    RIGHT : 39,
    LEFT : 37,
    GREEN : 404,
    RED : 403,
    YELLOW : 405,
    BLUE : 406,
    BACKSPACE : 461,
    OK : 13,
    PLAY : 415,
    PAUSE : 19,
    FW : 417,
    BW : 412,
    STOP : 413,

    LANGUAGE : 312,    
    HOME : 407,
    HELP : 156,
    BACK : 461,
    ALARM : 309,

    ZERO : 48,
    ONE : 49,
    TWO : 50,
    THREE : 51,
    FOUR : 52,
    FIVE : 53,
    SIX : 54,
    SEVEN : 55,
    EIGHT : 56,
    NINE : 57,

    PROGUP : 310,
    PROGDOWN : 311,

    FRONTPROGUP : 314,
    FRONTPROGDOWN : 313,

};