﻿var vestek = {};


vestek.currentItem = 0;

vestek.menuItems = [{"img":"img/movie.png","title":"MOVIE","url":"#"},
{"img":"img/data.png","title":"DATA","url":"#"},
{"img":"img/internet.png","title":"INTERNET","url":"#"},
{"img":"img/music.png","title":"MUSIC","url":"#"}];

vestek.init = function()
{
	document.onkeydown = function(evt) { vestek.handleKeys(evt); }
	setInterval(function(){ vestek.updateClock() }, 500);
	
	var index = 0;
	for(index in vestek.menuItems){
        vestek.menuItems[index].element = document.createElement("div");
        vestek.menuItems[index].element.innerHTML = "<img src=\""+ vestek.menuItems[index].img +"\"><h2>"+ vestek.menuItems[index].title +"</h2>"; 
        document.getElementById("menu").appendChild(vestek.menuItems[index].element);
    }
	vestek.menuItems[this.currentItem].element.className = "selected";
}

vestek.updateClock = function()
{
	var today=new Date();
	document.getElementById('clock').innerHTML= today.getHours()+":"+today.getMinutes()+":"+today.getSeconds();
	document.getElementById('date').innerHTML= today.getDate()+ "."+today.getMonth()+"."+today.getFullYear();
}

vestek.handleKeys = function(evt) {
	var evtobj = window.event? event : evt;
    var unicode = evtobj.charCode? evtobj.charCode : evtobj.keyCode;
	switch (unicode){
		case this.keyEnum.OK: 
		
		break;
		case this.keyEnum.LEFT:
			if(this.currentItem != 0){
                vestek.menuItems[this.currentItem].element.className =  "";
                this.currentItem--;
                vestek.menuItems[this.currentItem].element.className =  "selected";
            }
		break;
		case this.keyEnum.RIGHT:
			if(this.currentItem != this.menuItems.length - 1){
                vestek.menuItems[this.currentItem].element.className =  "";
                this.currentItem++;
                vestek.menuItems[this.currentItem].element.className =  "selected";
            }
		break;
		case this.keyEnum.BACK:
			document.location.href = "../";
		break;		
	}
}

vestek.keyEnum = {
    OK : 13,
    UP : 38,
    DOWN : 40,
    RIGHT : 39,
    LEFT : 37,
    GREEN : 404,
    RED : 403,
    YELLOW : 405,
    BLUE : 406,
    BACKSPACE : 461,
    OK : 13,
    PLAY : 415,
    PAUSE : 19,
    FW : 417,
    BW : 412,
    STOP : 413,

    LANGUAGE : 312,    
    HOME : 407,
    HELP : 156,
    BACK : 461,
    ALARM : 309,

    ZERO : 48,
    ONE : 49,
    TWO : 50,
    THREE : 51,
    FOUR : 52,
    FIVE : 53,
    SIX : 54,
    SEVEN : 55,
    EIGHT : 56,
    NINE : 57,

    PROGUP : 310,
    PROGDOWN : 311,

    FRONTPROGUP : 314,
    FRONTPROGDOWN : 313,

};