var GetChannelList = function () {

    try {
        var chList = document.getElementById('video').getChannelConfig().channelList;
        return chList;

    } catch (e) {
        return;
    }

};

var SetChannel = function (channel) {

    try {
        document.getElementById('video').setChannel(channel, false);

    } catch (e) {
        return;
    }

};

function ChannelUp() {
    var control = "";
    var vid = document.getElementById('video');
    try {
        vid.onChannelChangeSucceeded = function () {
            vid.onChannelChangeSucceeded = null;
            if (vid.currentChannel) {
                control = 'channel change succeeded.';
            } else {
                control = 'channel change failed.';
            }
        };

        vid.prevChannel();
    } catch (e) {

        return;
    }
}

function ChannelDown() {
    var control = "";
    var vid = document.getElementById('video');
    try {
        vid.onChannelChangeSucceeded = function () {
            vid.onChannelChangeSucceeded = null;
            if (vid.currentChannel) {
                control = 'channel change succeeded.';
            } else {
                control = 'channel change failed.';
            }
        };

        vid.nextChannel();
    } catch (e) {
        return;
    }
}

function GetTriplet(tri) {
    try {
        var lst = null;
        lst = document.getElementById('video').getChannelConfig().channelList;
        for (var k = 0; k < tri.length; k++) {
            for (var i = 0; i < lst.length; i++) {

                var tripletCom = lst[i].onid + "|" + lst[i].tsid + "|" + lst[i].sid;

                if (tripletCom == tri[k]) {
                    return [lst[i].onid, lst[i].tsid, lst[i].sid];
                }
            }

        }
        return null;

    }
    catch (e) {
    }
}

function TuneChannelByTriplets(triplets) {
    try {
        var allTriplets = triplets.toString().split(',');
    } catch (e) {
    }
    var triplet = GetTriplet(allTriplets);

    var lst = null;
    try {
        lst = document.getElementById('video').getChannelConfig().channelList;
    } catch (e) {
    }
    if (!lst) {
        return;
    }
    var ch = null;
    try {
        ch = lst.getChannelByTriplet(triplet[0], triplet[1], triplet[2]);
    } catch (e) {
        return;
    }

    if (!ch) {
        return;
    }

    try {
        document.getElementById('video').setChannel(ch, false);

    } catch (e) {
        return;
    }
};

var GetChannelListLength = function () {
    var channelListLength = 0;
    try {
        var channelList = document.getElementById('video').getChannelConfig().channelList;
        channelListLength = channelList.length;

    } catch (e) {
    }
    return channelListLength;
}





